package mi.hdm;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import java.io.IOException;

public class TastyPages extends Application {
    private final static Logger log = LogManager.getLogger(TastyPages.class);

    public static void main(String[] args) {
        log.info("Starting TastyPages");
        launch(args);
    }


    public void save() {}

    @Override
    public void start(Stage stage) throws IOException {
        final String fxmlFile = "/fxml/recipe-view.fxml";
        log.debug("Loading FXML for main view from: {}", fxmlFile);
        final FXMLLoader loader = new FXMLLoader();
        final Parent rootNode = (Parent) loader.load(getClass().getResourceAsStream(fxmlFile));

        final Scene scene = new Scene(rootNode, 1400, 800);
        //scene.getStylesheets().add("/styles/styles.css");

        stage.setTitle("View Recipe");
        stage.setMaximized(true); //open scene in full screen
        stage.setScene(scene);
        stage.show();
    }
}
